Bug 24747 - Library Transfer Limit page incorrectly describes its behavior
Summary: Library Transfer Limit page incorrectly describes its behavior
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-27 17:35 UTC by Andrew Fuerste-Henry
Modified: 2020-04-14 04:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10, 18.11.16


Attachments
BUG 24747: Corrects on-screen instructions in branch transfer limits (2.69 KB, patch)
2020-02-27 20:26 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
BUG 24747: Corrects on-screen instructions in branch transfer limits (2.75 KB, patch)
2020-02-27 21:02 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
BUG 24747: Corrects on-screen instructions in branch transfer limits (2.81 KB, patch)
2020-02-29 09:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-02-27 17:35:02 UTC
on branch_transfer_limits.pl, we see the wording "Check the boxes for the libraries you accept to checkin items from." However, what we're actually doing here is checking boxes for the libraries to which you are allowed to transfer items. 

To verify that this is the case:
1- Set UseBranchTransferLimits set to Enforce using itemtype
2- Confirm circ rules allow holds
3- Confirm hold policy by item type allows holds
4- Confirm all branches are valid pickup locations in branch setup
5- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, disable all transfers so Branch A does not accept books from any other branch
6- Find a patron from Branch A
7- Find a book from Branch B
8- On the intranet, successfully place hold on item for patron for pickup at branch A
9- Cancel hold
10- Log into opac as patron
11- Successfully place hold on item for pickup at Branch A
12- Cancel hold
13- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, ENABLE all transfers so Branch A DOES accept books from any other branch
14- In Branch Transfer Limits, set dropdown to Branch B, select itemtype Book, disable all transfers so Branch B does not accept books from any other branch
15- On the intranet, try to place a hold on item for patron, confirm Branch B is your only pickup option
16- On the OPAC, log in as patron, try to place a hold on item, confirm Branch B is your only pickup option
Comment 1 Andrew Fuerste-Henry 2020-02-27 20:26:21 UTC
Created attachment 99715 [details] [review]
BUG 24747: Corrects on-screen instructions in branch transfer limits

To test:
1- go to cgi-bin/koha/admin/branch_transfer_limits.pl
2- see wording "Check the boxes for the libraries you accept to checkin items from"
3- apply patch
4- see wording "Check the boxes for the libraries you allow your items to be transferred to"

To verify new wording accuractely describes behavior:
1- Set UseBranchTransferLimits set to Enforce using itemtype
2- Confirm circ rules allow holds
3- Confirm hold policy by item type allows holds
4- Confirm all branches are valid pickup locations in branch setup
5- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, disable all transfers so Branch A does not accept books from any other branch
6- Find a patron from Branch A
7- Find a book from Branch B
8- On the intranet, successfully place hold on item for patron for pickup at branch A
9- Cancel hold
10- Log into opac as patron
11- Successfully place hold on item for pickup at Branch A
12- Cancel hold
13- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, ENABLE all transfers so Branch A DOES accept books from any other branch
14- In Branch Transfer Limits, set dropdown to Branch B, select itemtype Book, disable all transfers so Branch B does not accept books from any other branch
15- On the intranet, try to place a hold on item for patron, confirm Branch B is your only pickup option
16- On the OPAC, log in as patron, try to place a hold on item, confirm Branch B is your only pickup option
Comment 2 ByWater Sandboxes 2020-02-27 21:02:31 UTC
Created attachment 99716 [details] [review]
BUG 24747: Corrects on-screen instructions in branch transfer limits

To test:
1- go to cgi-bin/koha/admin/branch_transfer_limits.pl
2- see wording "Check the boxes for the libraries you accept to checkin items from"
3- apply patch
4- see wording "Check the boxes for the libraries you allow your items to be transferred to"

To verify new wording accuractely describes behavior:
1- Set UseBranchTransferLimits set to Enforce using itemtype
2- Confirm circ rules allow holds
3- Confirm hold policy by item type allows holds
4- Confirm all branches are valid pickup locations in branch setup
5- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, disable all transfers so Branch A does not accept books from any other branch
6- Find a patron from Branch A
7- Find a book from Branch B
8- On the intranet, successfully place hold on item for patron for pickup at branch A
9- Cancel hold
10- Log into opac as patron
11- Successfully place hold on item for pickup at Branch A
12- Cancel hold
13- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, ENABLE all transfers so Branch A DOES accept books from any other branch
14- In Branch Transfer Limits, set dropdown to Branch B, select itemtype Book, disable all transfers so Branch B does not accept books from any other branch
15- On the intranet, try to place a hold on item for patron, confirm Branch B is your only pickup option
16- On the OPAC, log in as patron, try to place a hold on item, confirm Branch B is your only pickup option

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2020-02-27 21:08:22 UTC
Clarifying and simplifying the part that confirms new wording is accurate:

1- Set UseBranchTransferLimits set to Enforce using itemtype
2- Confirm all branches are valid pickup locations in branch setup
3- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, disable all transfers so Branch A does send books to any other branch
4- Find a patron from Branch B
5- Find a book from Branch A
6- On the intranet, confirm that Branch A is not available as a pickup location for your patron and item
7- Log into opac as patron
8- Confirm Branch A is not available as a pickup location for your item
Comment 4 Katrin Fischer 2020-02-29 09:45:39 UTC
Created attachment 99808 [details] [review]
BUG 24747: Corrects on-screen instructions in branch transfer limits

To test:
1- go to cgi-bin/koha/admin/branch_transfer_limits.pl
2- see wording "Check the boxes for the libraries you accept to checkin items from"
3- apply patch
4- see wording "Check the boxes for the libraries you allow your items to be transferred to"

To verify new wording accuractely describes behavior:
1- Set UseBranchTransferLimits set to Enforce using itemtype
2- Confirm circ rules allow holds
3- Confirm hold policy by item type allows holds
4- Confirm all branches are valid pickup locations in branch setup
5- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, disable all transfers so Branch A does not accept books from any other branch
6- Find a patron from Branch A
7- Find a book from Branch B
8- On the intranet, successfully place hold on item for patron for pickup at branch A
9- Cancel hold
10- Log into opac as patron
11- Successfully place hold on item for pickup at Branch A
12- Cancel hold
13- In Branch Transfer Limits, set dropdown to Branch A, select itemtype Book, ENABLE all transfers so Branch A DOES accept books from any other branch
14- In Branch Transfer Limits, set dropdown to Branch B, select itemtype Book, disable all transfers so Branch B does not accept books from any other branch
15- On the intranet, try to place a hold on item for patron, confirm Branch B is your only pickup option
16- On the OPAC, log in as patron, try to place a hold on item, confirm Branch B is your only pickup option

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-03-02 09:30:36 UTC
This looks to be the first bug you've authored on Andrew, great to see, welcome aboard! :)
Comment 6 Martin Renvoize 2020-03-02 09:47:51 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Andrew Fuerste-Henry 2020-03-02 13:43:44 UTC
Thanks, Martin!
Comment 8 Joy Nelson 2020-04-01 20:33:26 UTC
backported to 19.11.x branch for 19.11.05
Comment 9 Lucas Gass 2020-04-08 21:52:52 UTC
backported to 19.05.x for 19.05.10
Comment 10 Hayley Mapley 2020-04-14 04:42:39 UTC
Backported to 18.11.x for 18.11.16